.site__block_16 {
    background-color: #f7f8fa;
}

.site__block_16 .container {
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding-bottom: var(--space-section);
    padding-top: var(--space-section);
}

.site__block_16 .block__heading {
    text-align: center;
}

.site__block_16 .block__heading .heading__title {
    color: var(--first-color);
    font-size: var(--fs-h2);
    line-height: 1;
}

.site__block_16 .block__list {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(3, 1fr);
}

.site__block_16 .block__list .list__item {
    background-color: #eee;
    border-radius: 20px;
    color: var(--fourth-color);
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 25px;
    transition: background-color 0.3s, color 0.3s, transform 0.3s;
}

.site__block_16 .block__list .list__item .item__icon {
    background-color: rgba(0, 36, 248, 0.08);
    border-radius: 10px;
    height: 60px;
    padding: 12px;
    width: 60px;
}

.site__block_16 .block__list .list__item .item__icon img {
    display: block;
    height: 100%;
    object-fit: contain;
    width: 100%;
    filter: invert(15%) sepia(100%) saturate(600%) hue-rotate(210deg) brightness(0.8);
}

.site__block_16 .block__list .list__item:hover .item__icon {
    background-color: rgba(255, 255, 255, 0.15);
}

.site__block_16 .block__list .list__item:hover .item__icon img {
    filter: brightness(10);
}

.site__block_16 .block__list .list__item .item__title {
    font-size: 28px;
    font-weight: 500;
    line-height: 1.2;
}

.site__block_16 .block__list .list__item .item__description {
    font-size: 18px;
    font-weight: 300;
    line-height: 1.4;
    margin-top: auto;
}

.site__block_16 .block__list .list__item:hover {
    background-color: var(--first-color);
    color: #fff;
    transform: translateY(-10px);
    transition: background-color 0.3s, color 0.3s, transform 0.3s;
}

/* Large Desktops */
@media (max-width: 1399px) {
    .site__block_16 .container {
        padding-bottom: var(--space-section);
        padding-top: var(--space-section);
    }

    .site__block_16 .block__heading .heading__title {
        font-size: var(--fs-h2);
    }

    .site__block_16 .block__list .list__item .item__title {
        font-size: 24px;
    }

    .site__block_16 .block__list .list__item .item__description {
        font-size: 16px;
    }
}

/* Desktops */
@media (max-width: 1199px) {
    .site__block_16 .container {
        padding-bottom: var(--space-section);
        padding-top: var(--space-section);
    }

    .site__block_16 .block__list .list__item {
        padding: 20px;
    }

    .site__block_16 .block__list .list__item .item__title {
        font-size: 22px;
    }

    .site__block_16 .block__list .list__item .item__description {
        font-size: 15px;
    }
}

/* Tablets */
@media (max-width: 991px) {
    .site__block_16 .container {
        padding-bottom: var(--space-section-mobile);
        padding-top: var(--space-section-mobile);
    }

    .site__block_16 .block__heading .heading__title {
        font-size: var(--fs-h1-mobile);
    }

    .site__block_16 .block__list {
        grid-template-columns: repeat(2, 1fr);
    }

    .site__block_16 .block__list .list__item .item__title {
        font-size: 20px;
    }
}

/* Smartphones - Landscape */
@media (max-width: 767px) {
    .site__block_16 .container {
        gap: 40px;
    }

    .site__block_16 .block__heading .heading__title {
        font-size: var(--fs-h1-mobile);
    }
}

/* Smartphones - Portrait */
@media (max-width: 567px) {
    .site__block_16 .block__heading .heading__title {
        font-size: var(--fs-h1-mobile);
    }

    .site__block_16 .block__list {
        grid-template-columns: 100%;
    }
}
